import java.io.InputStream;
import java.io.IOException;

public class LowerCaseInputStream extends InputStream
{
  private InputStream dataSource;

  public LowerCaseInputStream( InputStream s )
  {
    dataSource = s;
  }

  public int read() throws IOException
  {
    int c = dataSource.read();
    if ( 65 <= c && c <= 90 )
      return (int) Character.toLowerCase(c);
    return c;
  }
}
